/**
 * Ensures the file exists before reading it
 */
export declare function readFile(path: string): string;
/**
 * Ensures the folder exists before writing it
 */
export declare function writeFile(path: string, data: any): void;
export declare function resolveAnyFile<T>(path: string): {
    exports: T;
    path: string;
};
/**
 * Upper or camelCase to lowercase hyphenated
 */
export declare function toFileName(s: string): string;
