import { UserFlow } from 'lighthouse/lighthouse-core/fraggle-rock/api';
import { UserFlowProvider } from '../../types/model';
import { PersistOptions } from '../config/model';
export declare function persistFlow(flow: UserFlow, name: string, { outPath, format }: PersistOptions): Promise<string[]>;
export declare function collectFlow(collectOptions: {
    url: string;
    dryRun: boolean;
}, userFlowProvider: UserFlowProvider & {
    path: string;
}): Promise<UserFlow>;
export declare function loadFlow(path: string): ({
    exports: UserFlowProvider;
    path: string;
})[];
